states.push({
	id: "activate-ion-engine",
	button: "Activate Ion Engine",
	action: "Engaging",
	duration: 300,
	show: () => isFlagEnabled('ion-engine-purchased') && !isFlagEnabled('ion-engine-enabled'),
	requires: () => {
		if (isFlagEnabled('ion-engine-enabled')) { errorMessage = "Ion Engine already activated"; }
		if(userData.position == "asteroid-field") { errorMessage = "Too dangerous to activate here";}
		return !isFlagEnabled('ion-engine-enabled') && userData.position != "asteroid-field";
	},
	fallback: null,
	run: () => {
		setFlag('ion-engine-enabled');
	},
});